## org.biojava.bio.structure.gui.util
Class SequenceScalePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.biojava.bio.structure.gui.util.SequenceScalePanel

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class SequenceScalePanel

extends JPanel

A class that draws a Sequence as a rectangle, a scale display over it.

Since:
  1.7
Author:
  Andreas Prlic
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static Color` `BACKGROUND_COLOR`
`static int` `DEFAULT_X_RIGHT_BORDER`
`static int` `DEFAULT_X_START`
`static int` `DEFAULT_Y_BOTTOM`
`static int` `DEFAULT_Y_HEIGHT`
`static int` `DEFAULT_Y_START`
`static int` `DEFAULT_Y_STEP`
`static Color` `GAP_COLOR`
`static Color` `IDX_COLOR`
`static int` `LINE_HEIGHT`
`static int` `MINIMUM_HEIGHT`
`static Color` `SCALE_COLOR`
`static Font` `seqFont`
`static Color` `SEQUENCE_COLOR`
`static int` `SIZE`
`static Color` `TEXT_SCALE_COLOR`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SequenceScalePanel(int position)`

Method Summary
`protected void` `drawIdx(Graphics2D g2D, int y)`
`protected int` `drawScale(Graphics2D g2D, int y)` draw the Scale
`protected int` `drawSequence(Graphics2D g2D, int y)` draw the Amino acid sequence
`Chain` `getChain()`
`float` `getScale()`
`void` `paintComponent(Graphics g)`
`void` `setAligMap(List<AlignedPosition> apos)`
`void` `setChain(Chain c)`
`protected void` `setPaintDefaults(Graphics2D g2D)` set some default rendering hints, like text antialiasing on
`void` `setScale(float scale)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_X_START

    public static final int DEFAULT_X_START

See Also:
  Constant Field Values

### DEFAULT_X_RIGHT_BORDER

    public static final int DEFAULT_X_RIGHT_BORDER

See Also:
  Constant Field Values

### DEFAULT_Y_START

    public static final int DEFAULT_Y_START

See Also:
  Constant Field Values

### DEFAULT_Y_STEP

    public static final int DEFAULT_Y_STEP

See Also:
  Constant Field Values

### DEFAULT_Y_HEIGHT

    public static final int DEFAULT_Y_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_Y_BOTTOM

    public static final int DEFAULT_Y_BOTTOM

See Also:
  Constant Field Values

### LINE_HEIGHT

    public static final int LINE_HEIGHT

See Also:
  Constant Field Values

### MINIMUM_HEIGHT

    public static final int MINIMUM_HEIGHT

See Also:
  Constant Field Values

### SEQUENCE_COLOR

    public static final Color SEQUENCE_COLOR

### SCALE_COLOR

    public static final Color SCALE_COLOR

### TEXT_SCALE_COLOR

    public static final Color TEXT_SCALE_COLOR

### IDX_COLOR

    public static final Color IDX_COLOR

### GAP_COLOR

    public static final Color GAP_COLOR

### BACKGROUND_COLOR

    public static final Color BACKGROUND_COLOR

### seqFont

    public static final Font seqFont

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### SequenceScalePanel

    public SequenceScalePanel(int position)

Method Detail

### setAligMap

    public void setAligMap(List<AlignedPosition> apos)

### setChain

    public void setChain(Chain c)

### getChain

    public Chain getChain()

### getScale

    public float getScale()

### setScale

    public void setScale(float scale)

### setPaintDefaults

    protected void setPaintDefaults(Graphics2D g2D)

  set some default rendering hints, like text antialiasing on

  Parameters:
    `g2D` - the graphics object to set the defaults on

### paintComponent

    public void paintComponent(Graphics g)

  Overrides:
    `paintComponent` in class `JComponent`

### drawScale

    protected int drawScale(Graphics2D g2D,
                            int y)

  draw the Scale

  Parameters:
    `g2D` -
    `y` - the height on which to draw the scale
  Returns:
    the new y position

### drawIdx

    protected void drawIdx(Graphics2D g2D,
                           int y)

### drawSequence

    protected int drawSequence(Graphics2D g2D,
                               int y)

  draw the Amino acid sequence

  Parameters:
    `g2D` -
    `y` - .. height of line to draw the sequence onto
  Returns:
    the new y value